<?

require_once ('system/func.php');
auth(); // только для авторизованных
$title = 'Кампания';
require_once ('system/header.php');

$campaign = mysql_query("SELECT * FROM `campaign` WHERE `id_user` = '".$myID."' ORDER BY `id` LIMIT 1");
$campaign = mysql_fetch_array($campaign);
if(!$campaign){
mysql_query("INSERT INTO `campaign` SET `id_user` = '$myID', `id_camp` = '1'");
header('Location: ?');
exit();
}
echo div('header').' <span class="ribbon green  w75"><span class="r_end"><span class="r_cntr"> ГЛАВА '.$campaign['id_camp'].'  </span></span></span></div>';

echo div('header').' '.ico('icons', 'str.png').' Сила + '.(($campaign['id_camp'] -1) * 50).'  <br>'.ico('icons', 'def.png').'  Броня +  '.(($campaign['id_camp']-1) * 50).' <br> '.ico('icons', 'health.png').'  Здоровье + '.(($campaign['id_camp']-1) * 50).'  </div>';
    
if($campaign['id_camp'] == 1){
    //Кампания 1
if(isset($_GET['complete1']) and $campaign['arena'] >= 1000   and $campaign['item'] >= 10  and $user['str'] >= 1000 and $user['def'] >=1000  and $campaign['quest'] >= 100    and $campaign[id_camp] ==1){
$almaz= $campaign['id_camp'] * 1000;


mysql_query("UPDATE `users`  SET  `almaz`='".($user['almaz'] + $almaz)."' , `str`='".($user['str'] + 500)."' , `def`='".($user['def'] + 500)."' , `max_health`='".($user['max_health'] + 500)."' WHERE `id`='".$myID."'  LIMIT 1");
mysql_query("UPDATE `campaign` SET   `id_camp` =  `id_camp` + '1' , `arena` = '0'   , `item` = '0'   , `quest` = '0'  WHERE `id_user` = '".$myID."'  LIMIT 1");

$_SESSION['msg'] = "Вы завершили главу <br>Награда <br>".ico('icons', 'almaz.png')." $almaz  и  + 500 к параметрам героя  ";
     header('location: /campaign');
     exit();
     
    }
    
    if( $campaign[arena] < 1000)
    echo div('text_p1 center')." Сразись 1000 раз на арене <br>".span('gold')." Выполнено $campaign[arena] из 1000 </span></div>";
    else
    echo div('text_p1 center')." Сразись 1000 раз на арене <br>".span('lime')." Выполнено </span></div>";
    //2
    if( $campaign[item] < 10)
    echo div('text_p1 center')." Купи 10 любых вещей в магазине <br>".span('gold')." Выполнено $campaign[item] из 10 </span></div>";
    else
    echo div('text_p1 center')." Купи 10 любых вещей в магазине <br>".span('lime')." Выполнено </span></div>";
    if( $user[str] < 1000)
    echo div('text_p1 center')." Подними   силу до 1000 <br>".span('gold')." Выполнено $user[str] из 1000 </span></div>";
    else
    echo div('text_p1 center')." Подними   силу до 1000 <br>".span('lime')." Выполнено </span></div>";
    //5
    if( $user[def] < 1000)
    echo div('text_p1 center')." Подними   защиту до 1000 <br>".span('gold')." Выполнено $user[def] из 1000 </span></div>";
    else
    echo div('text_p1 center')." Подними   защиту до 1000 <br>".span('lime')." Выполнено </span></div>";
    
     //3
    if( $campaign[quest] < 100)
    echo div('text_p1 center')." Выполни 100 ежедневных заданий <br>".span('gold')." Выполнено $campaign[quest] из 100 </span></div>";
    else
    echo div('text_p1 center')." Выполни 300 ежедневных заданий <br>".span('lime')." Выполнено </span></div>";
    


    if($campaign['arena'] >= 1000   and $campaign[item] >= 10  and $user[str] >= 1000 and $user[def] >=1000  and $campaign[quest] >= 100    and $campaign[id_camp] ==1 )
    echo div('header')." <div class='cbtn green center mt3'><span class='cb_end'><span class='cb_ttl'><a href='?complete1'> Завершить главу</span></span></div> </a>";
}


      //Кампания 2 
      if($campaign['id_camp'] == 2){
 
if(isset($_GET['complete2']) and $user['level'] >= 20   and $campaign['fight'] >= 500  and $user['clan_exp'] >= 5000000 and $user['id_clan'] >=1  and $campaign['sunduk'] >= 80  and $campaign['skull'] >= 9000   and $campaign[id_camp] ==2){
$almaz= $campaign['id_camp'] * 1500;


mysql_query("UPDATE `users`  SET  `almaz`='".($user['almaz'] + $almaz)."' , `str`='".($user['str'] + 800)."' , `def`='".($user['def'] + 800)."' , `max_health`='".($user['max_health'] + 800)."' WHERE `id`='".$myID."'  LIMIT 1");
mysql_query("UPDATE `campaign` SET   `id_camp` =  `id_camp` + '1' , `fight` = '0'   , `adventure` = '0'   , `sunduk` = '0'  , `skull` = '0' WHERE `id_user` = '".$myID."' LIMIT 1 ");

$_SESSION['msg'] = "Вы завершили главу <br>Награда <br>".ico('icons', 'almaz.png')." $almaz  и  + 80 к параметрам героя  ";
     header('location: /campaign');
     exit();
     
    }
    
    if( $user[level] < 20)
    echo div('wrapper center')." Достигни 20 уровень <br>".span('gold')." Выполнено $user[level] из 20 </span></div>";
    else
    echo div('wrapper center')." Достигни 20 уровень <br>".span('lime')." Выполнено </span></div>";
    //2
    if( $campaign[fight] < 500 )
    echo div('wrapper center')." Убей 500 противников в сражении <br>".span('gold')." Выполнено $campaign[fight] из 500 </span></div>";
    else
    echo div('wrapper center')." Убей 500 противников в сражении <br>".span('lime')." Выполнено </span></div>";
    if( $user[clan_exp] < 5000000)
    echo div('wrapper center')." Заработай 5000000 кланового опыта <br>".span('gold')." Выполнено $user[clan_exp] из 5000000 </span></div>";
    else
    echo div('wrapper center')."  Заработай 5000000 кланового опыта  <br>".span('lime')." Выполнено </span></div>";
    //5
    if( $user[id_clan] < 1)
    echo div('wrapper center')." Вступи в клан <br>".span('gold')." Не выполнено </span></div>";
    else
    echo div('wrapper center')."   Вступи в клан <br>".span('lime')." Выполнено </span></div>";
     //3
    if( $campaign[sunduk] < 80)
    echo div('wrapper center')." Открой 80 сундуков  любого качества <br>".span('gold')." Выполнено $campaign[sunduk] из 80 </span></div>";
    else
    echo div('wrapper center')." Открой 80 сундуков любого качества <br>".span('lime')." Выполнено </span></div>";
     //4
    if( $campaign[skull] < 9000)
    echo div('wrapper center')." Потрать 9000 черепов в сражении <br>".span('gold')." Выполнено $campaign[skull] из 9000 </span></div>";
    else
    echo div('wrapper center')." Потрать 9000 черепов в сражении <br>".span('lime')." Выполнено </span></div>";



    if($user['level'] >= 20   and $campaign[fight] >= 500  and $user[clan_exp] >= 5000000 and $user[id_clan] >=1  and $campaign[sunduk] >= 80  and $campaign[skull] >= 9000  and $campaign[id_camp] ==2)
    echo div('header')." <div class='cbtn green center mt3'><span class='cb_end'><span class='cb_ttl'><a href='?complete2'> Завершить главу</span></span></div> </a>";
}



     //Кампания 3
     
if($campaign['id_camp'] == 3){
   
if(isset($_GET['complete3']) and $campaign['ork'] >= 150000   and $campaign['arena'] >= 3000  and $user['str'] >= 1500 and $user['def'] >=2500  and $user['max_health'] >= 2550    and $campaign[id_camp] ==3){
$almaz= $campaign['id_camp'] * 2000;


mysql_query("UPDATE `users`  SET  `almaz`='".($user['almaz'] + $almaz)."' , `str`='".($user['str'] + 1100)."' , `def`='".($user['def'] + 1100)."' , `max_health`='".($user['max_health'] + 1100)."' WHERE `id`='".$myID."'  LIMIT 1");
mysql_query("UPDATE `campaign` SET   `id_camp` =  `id_camp` + '1' , `ork` = '0'   , `arena` = '0'  WHERE `id_user` = '".$myID."'  LIMIT 1");

$_SESSION['msg'] = "Вы завершили главу <br>Награда <br>".ico('icons', 'almaz.png')." $almaz  и  + 110 к параметрам героя  ";
     header('location: /campaign');
     exit();
     
    }
    
    if($campaign[ork] < 150000)
    echo div('wrapper center')." Нанеси 150000 урона орку <br>".span('gold')." Нанесено $campaign[ork] из 150000 </span></div>";
    else
    echo div('wrapper center')." Нанеси 150000 урона орку  <br>".span('lime')." Выполнено </span></div>";
    //2
    if( $campaign[arena] <  1500)
    echo div('wrapper center')." Проведи на арене 1500 боев <br>".span('gold')." Выполнено $campaign[arena] из 1500 </span></div>";
    else
    echo div('wrapper center')." Проведи на арене 1500 боев <br>".span('lime')." Выполнено </span></div>";
    
    if( $user[str] < 2500)
    echo div('wrapper center')." Подними   силу до 2500 <br>".span('gold')." Выполнено $user[str] из 2500 </span></div>";
    else
    echo div('wrapper center')." Подними   силу до 2500 <br>".span('lime')." Выполнено </span></div>";
    
    
    //5
    if( $user[def] < 2500)
    echo div('wrapper center')." Подними   защиту до 2500 <br>".span('gold')." Выполнено $user[def] из 2500 </span></div>";
    else
    echo div('wrapper center')." Подними   защиту до 2500 <br>".span('lime')." Выполнено </span></div>";
    //5
    if( $user[max_health] < 2550)
    echo div('wrapper center')." Подними   здоровье до 2550 <br>".span('gold')." Выполнено $user[max_health] из 2550 </span></div>";
    else
    echo div('wrapper center')." Подними   здоровье до 2550 <br>".span('lime')." Выполнено </span></div>";
    
    

    if($campaign['ork'] >= 150000   and $campaign['arena'] >= 1500  and $user['str'] >= 2500 and $user['def'] >=2500  and $user['max_health'] >= 2550   and $campaign[id_camp] ==3  )
    echo div('header')." <div class='cbtn green center mt3'><span class='cb_end'><span class='cb_ttl'><a href='?complete3'> Завершить главу</span></span></div> </a>";
}



     //Кампания 4
     
if($campaign['id_camp'] == 4){
   
if(isset($_GET['complete4']) and $campaign['fight'] >= 5000   and $campaign['quest'] >= 800  and  $campaign['sunduk'] >= 260 and $user['level'] >= 40  and $user['clan_exp'] >= 7000000  and $campaign['itemLvl'] >= 250   and $campaign[id_camp] ==4){
$almaz= $campaign['id_camp'] * 2500;


mysql_query("UPDATE `users`  SET  `almaz`='".($user['almaz'] + $almaz)."' , `str`='".($user['str'] + 1500)."' , `def`='".($user['def'] + 1500)."' , `max_health`='".($user['max_health'] + 1500)."' WHERE `id`='".$myID."'  LIMIT 1");
mysql_query("UPDATE `campaign` SET   `id_camp` =  `id_camp` + '1' , `quest` = '0'   , `sunduk` = '0'    , `itemLvl` = '0'WHERE `id_user` = '".$myID."'  LIMIT 1");

$_SESSION['msg'] = "Вы завершили главу <br>Награда <br>".ico('icons', 'almaz.png')." $almaz  и  + 150 к параметрам героя  ";
     header('location: /campaign');
     exit();
     
    }
    
    if($campaign[fight] < 5000)
    echo div('wrapper center')." Убейте 5000 противников в сражение <br>".span('gold')." Убито $campaign[fight] из 5000 </span></div>";
    else
    echo div('wrapper')." Убейте 5000 противников в сражение <br>".span('lime')." Выполнено </span></div>";
    //2
    if( $campaign[quest] <  800)
    echo div('wrapper center')." Выполни 800 ежедневных заданий  <br>".span('gold')." Выполнено $campaign[quest] из 800 </span></div>";
    else
    echo div('wrapper center')."  Выполни 800 ежедневных заданий  <br>".span('lime')." Выполнено </span></div>";
    
     if( $campaign[sunduk] < 260)
    echo div('wrapper center')." Открой 260 сундука  любого качества <br>".span('gold')." Выполнено $campaign[sunduk] из 260 </span></div>";
    else
    echo div('wrapper center')." Открой 260 сундука любого качества <br>".span('lime')." Выполнено </span></div>";
    
    
    //5
    if( $user[level] < 40)
    echo div('wrapper center')." Получи 40 уровень героя <br>".span('gold')." Выполнено $user[level] из 20 </span></div>";
    else
    echo div('wrapper center')." Получи 40 уровень героя <br>".span('lime')." Выполнено </span></div>";
    //5
     if( $user[clan_exp] < 70000000)
    echo div('wrapper center')." Заработай 70000000 кланового опыта <br>".span('gold')." Выполнено $user[clan_exp] из 70000000 </span></div>";
    else
    echo div('wrapper center')."  Заработай 70000000 кланового опыта  <br>".span('lime')." Выполнено </span></div>";
    
    
     //4
    if( $campaign[itemLvl] < 250)
    echo div('wrapper center')." Улучши уровень вещей 250 раз  <br>".span('gold')." Выполнено $campaign[itemLvl] из 250 </span></div>";
    else
    echo div('wrapper center')." Улучши уровень вещей 250 раз  <br>".span('lime')." Выполнено </span></div>";

    if($campaign['fight'] >= 5000   and $campaign['quest'] >= 800  and  $campaign['sunduk'] >= 260 and $user['level'] >= 40  and $user['clan_exp'] >= 70000000  and $campaign['itemLvl'] >= 250   and $campaign[id_camp] ==4  )
    echo div('header')." <div class='cbtn green center mt3'><span class='cb_end'><span class='cb_ttl'><a href='?complete4'> Завершить главу</span></span></div> </a>";
}





//Кампания 5
     
if($campaign['id_camp'] == 5){
   
if(isset($_GET['complete5']) and $campaign['str'] >= 5300   and $campaign['def'] >= 5300  and $user['max_health'] >= 5300 and $user['level'] >=60  and $user['ork'] >= 2100000    and $campaign[id_camp] ==5){
$almaz= $campaign['id_camp'] * 3500;


mysql_query("UPDATE `users`  SET  `almaz`='".($user['almaz'] + $almaz)."' , `str`='".($user['str'] + 2000)."' , `def`='".($user['def'] + 2000)."' , `max_health`='".($user['max_health'] + 2000)."' WHERE `id`='".$myID."'  LIMIT 1");
mysql_query("UPDATE `campaign` SET   `id_camp` =  `id_camp` + '1' , `ork` = '0'   , `arena` = '0'  WHERE `id_user` = '".$myID."'  LIMIT 1");

$_SESSION['msg'] = "Вы завершили главу <br>Награда <br>".ico('icons', 'almaz.png')." $almaz  и  + 200 к параметрам героя  ";
     header('location: /campaign');
     exit();
     
    }
    
    if($campaign[str] < 5300)
    echo div('wrapper center')." Подними   силу до 5300 <br>".span('gold')." Выполнено $campaign[ork] из 5300 </span></div>";
    else
    echo div('wrapper center')." Подними   силу до 5300  <br>".span('lime')." Выполнено </span></div>";
    //2
    if( $campaign[def] <  5300)
    echo div('wrapper center')." Подними   защиту до 5300 <br>".span('gold')." Выполнено $campaign[arena] из 5300 </span></div>";
    else
    echo div('wrapper center')." Подними   защиту до 5300 <br>".span('lime')." Выполнено </span></div>";
    
    if( $user[max_health] < 5300)
    echo div('wrapper center')." Подними   здоровье до 5300 <br>".span('gold')." Выполнено $user[str] из 5300 </span></div>";
    else
    echo div('wrapper center')." Подними   здоровье до 5300 <br>".span('lime')." Выполнено </span></div>";
    
    
    //5
    if( $user[level] < 60)
    echo div('wrapper center')." Получи 60 уровень героя <br>".span('gold')." Выполнено $user[def] из 60 </span></div>";
    else
    echo div('wrapper center')." ППолучи 60 уровень героя <br>".span('lime')." Выполнено </span></div>";
    //5
    if( $user[ork] < 2100000)
    echo div('wrapper center')." Нанеси 2100000 урона орку <br>".span('gold')." Нанесено $user[max_health] из 2100000 </span></div>";
    else
    echo div('wrapper center')." Нанеси 2100000 урона орку <br>".span('lime')." Нанесено </span></div>";
    
    

    if($campaign['str'] >= 5300   and $campaign['def'] >= 5300  and $user['max_health'] >= 5300 and $user['level'] >=60  and $user['ork'] >= 2100000   and $campaign[id_camp] ==5  )
    echo div('header')." <div class='btn_grey'><span class='cb_end'><span class='cb_ttl'><a href='?complete3'> Завершить главу</span></span></div> </a>";
}






require_once ('system/footer.php');

?>
